shishi_tgs_rep_process(3)

NAME
shishi_tgs_rep_process - API function

SYNOPSIS
#include <shishi.h>

int shishi_tgs_rep_process(Shishi_tgs * tgs);

ARGUMENTS

Shishi_tgs * tgs
    structure that holds information about TGS exchange

DESCRIPTION
Process new TGS-REP and set ticket. The key to decrypt the TGS-REP is taken from the EncKDCRepPart of the TGS tgticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.